<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

?>

<div class="wrap">
   <h2><?php _e('Banner statistics', 'cdotpro'); ?></h2>

<div class="cdotpro_stats_wrapper">
              
<?php
// *************** Extraction graphiques de l'année
   $aDay = 60*60*24;
   $Today = date('Y-m-d');
$PrevMonth = date('Y-m-d', time() - 30*$aDay);
$PrevQuarter = date('Y-m-d', time() - 90*$aDay );
$PrevYear = date('Y-m-d', time() - 365*$aDay );
$Y = date('Y');
//$q1 = "select DATE_FORMAT(date, '%m') as Period, count(mailid) as Affichages, sum(userclick) as Clics from ".$t_name." where date like '".$Y."%' group by Period";
// $q1="select m.ref as Period, count(s.mailid) as Affichages, ifnull(sum(s.userclick),0) as Clics from ".$t_months_name." as m left join ".$t_name." as s on m.ref = DATE_FORMAT(s.date,'%m') where s.date like '".$Y."-%' group by Period order by Period";

$q1[1]="select DATE_FORMAT(s.date, '%Y-%m-%d') as Period, m.ref as Month, count(s.mailid) as Affichages, ifnull(sum(s.userclick),0) as Clics from ".$t_months_name." as m left join ".$t_name." as s on m.ref = DATE_FORMAT(s.date,'%m') where s.date >= '".$PrevYear."' and s.date <= '".$Today."' group by Period order by Period";
$q1[2]="select DATE_FORMAT(s.date, '%Y-%m-%d') as Period, m.ref as Month, count(s.mailid) as Affichages, ifnull(sum(s.userclick),0) as Clics from ".$t_months_name." as m left join ".$t_name." as s on m.ref = DATE_FORMAT(s.date,'%m') where s.date >= '".$PrevQuarter."' and s.date <= '".$Today."' group by Period order by Period";
$q1[3]="select DATE_FORMAT(s.date, '%Y-%m-%d') as Period, m.ref as Month, count(s.mailid) as Affichages, ifnull(sum(s.userclick),0) as Clics from ".$t_months_name." as m left join ".$t_name." as s on m.ref = DATE_FORMAT(s.date,'%m') where s.date >= '".$PrevMonth."' and s.date <= '".$Today."' group by Period order by Period";

// et on en récupère le résultat
$r1 = cdotpro_get_results($q1[$cdotpro_stats_type]);


// *************** Extraction navigateur
$q2[1][] =  "select count(*) from ".$t_name." where date >= '".$PrevYear."' and date <= '".$Today."' and useragent like '%Windows%'";
$q2[1][] =  "select count(*) from ".$t_name." where date >= '".$PrevYear."' and date <= '".$Today."' and useragent like '%Macintosh%'";
$q2[1][] =  "select count(*) from ".$t_name." where date >= '".$PrevYear."' and date <= '".$Today."' and useragent not like '%Macintosh%' and useragent not like '%windows%'";
$q2[2][] =  "select count(*) from ".$t_name." where date >= '".$PrevQuarter."' and date <= '".$Today."' and useragent like '%Windows%'";
$q2[2][] =  "select count(*) from ".$t_name." where date >= '".$PrevQuarter."' and date <= '".$Today."' and useragent like '%Macintosh%'";
$q2[2][] =  "select count(*) from ".$t_name." where date >= '".$PrevQuarter."' and date <= '".$Today."' and useragent not like '%Macintosh%' and useragent not like '%windows%'";
$q2[3][] =  "select count(*) from ".$t_name." where date >= '".$PrevMonth."' and date <= '".$Today."' and useragent like '%Windows%'";
$q2[3][] =  "select count(*) from ".$t_name." where date >= '".$PrevMonth."' and date <= '".$Today."' and useragent like '%Macintosh%'";
$q2[3][] =  "select count(*) from ".$t_name." where date >= '".$PrevMonth."' and date <= '".$Today."' and useragent not like '%Macintosh%' and useragent not like '%windows%'";

$r2 = cdotpro_get_vars($q2[$cdotpro_stats_type]);

// Et maintenant, on fait ce qu'on veut en HTML/PHP
 ?>

<div class='cdotpro_chart_annual_chart'>
  <h3><?php _e('Banner views and clicks ', 'cdotpro'); ?>
<select name="corporate_stats_type" id="stats_type" onchange="this.form.submit()">
<option value="1" <?php echo ($cdotpro_stats_type=="1")?"selected='selected'":"";?>><?php _e('Yearly', 'cdotpro');?></option>
<option value="2" <?php echo ($cdotpro_stats_type=="2")?"selected='selected'":"";?>><?php _e('Quarterly', 'cdotpro');?></option>
<option value="3" <?php echo ($cdotpro_stats_type=="3")?"selected='selected'":"";?>><?php _e('Monthly', 'cdotpro');?></option>
</select>
</h3>
<div id='annual_chart'></div>
<div id=''></div>
</div>

<div class="cdotpro_second_row">

<div class='cdotpro_chart_browser_chart'>
  <h3><?php _e('Computer type','cdotpro'); ?></h3>
<div id='browser_chart'></div>
<div id=''></div>
</div>


<div class='cdotpro_chart_user_chart'>
<h3><?php _e('Users','cdotpro'); ?></h3>
<?php
// *************** Extraction des utilisateurs
$q3[1]="select mailid, count(mailid) as Affichages, ifnull(sum(userclick),0) as Clics from ".$t_name." where date >= '".$PrevYear."' and date <= '".$Today."' group by mailid order by Affichages desc";
$q3[2]="select mailid, count(mailid) as Affichages, ifnull(sum(userclick),0) as Clics from ".$t_name." where date >= '".$PrevQuarter."' and date <= '".$Today."' group by mailid order by Affichages desc";
$q3[3]="select mailid, count(mailid) as Affichages, ifnull(sum(userclick),0) as Clics from ".$t_name." where date >= '".$PrevMonth."' and date <= '".$Today."' group by mailid order by Affichages desc";
$r3 = cdotpro_get_results($q3[$cdotpro_stats_type]);
?>
<table cellspacing="0">
  <tr>
    <th></th>
<th><?php _e('User', 'cdotpro');?></th>
<th><?php _e('Displays', 'cdotpro');?></th>
<th><?php _e('Cliks', 'cdotpro');?></th>
  </tr>
<?php
foreach ($r3 as $rec) {
  ?><tr><?php
   $u = new WP_User($rec->mailid);
  $a = $rec->Affichages;
  $c = $rec->Clics;
  if ($rec->Affichages) {
  ?>
 
    <td><?php echo get_avatar($u->ID); ?></td><td><?php echo $u->first_name .' '.$u->last_name; ?></td><td><?php echo $a; ?></td><td><?php echo $c; ?></td>
                  <?php }?>
 </tr><?php
}
?>
</table>
</div>
</div>

</div>



<script>
var monthNames = ["<?php _e('January', 'cdotpro');?>",
		  "<?php _e('February', 'cdotpro');?>",
		  "<?php _e('March', 'cdotpro');?>",
		  "<?php _e('April', 'cdotpro');?>",
		  "<?php _e('May', 'cdotpro');?>",
		  "<?php _e('June', 'cdotpro');?>",
		  "<?php _e('July', 'cdotpro');?>",
		  "<?php _e('August', 'cdotpro');?>",
		  "<?php _e('September', 'cdotpro');?>",
		  "<?php _e('October', 'cdotpro');?>",
		  "<?php _e('November', 'cdotpro');?>",
		  "<?php _e('December', 'cdotpro');?>"
		  ];
var chart1 = c3.generate({

  bindto: '#annual_chart',
  data: {
    xFormat: '%Y-%m-%d',
    json:  <?php echo json_encode($r1/*, JSON_PRETTY_PRINT*/); ?>,
    type: 'area',

    keys: {
      x: 'Period',
      value: ['<?php _e('Displays', 'cdotpro');?>', '<?php _e('Cliks', 'cdotpro');?>']
    }
  },
  axis: {
    x: {
      type : 'timeseries',
      tick: {
	  //	format: function(x) { return (monthNames[x.getMonth()]); },
	count: 4,
	    // format: '%Y-%m-%d',
	  format: '<?php _e('%m/%d/%Y', 'cdotpro');?>',
	    fit: true,
	    rotate: 0
      }
    }
  },
  zoom: {
    enabled: true
  }
});

var chart2 = c3.generate({

  bindto: '#browser_chart',
  data: {
    columns:  [['Windows', <?php echo $r2[0];?>],
         ['Macintosh', <?php echo $r2[1];?>],
         ['Mobile', <?php echo $r2[2];?>]],
    type: 'donut'
  },
   donut: {
      title: 'Matériel',
        width: 70
  },
  legend: {
    position: 'bottom'
    }
});



 </script>
